Package org.eclipse.m2m.atl.emftvm.impl.resource

## Class ConstantPool.CreateConstantsSwitch

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch<java.lang.Object>
  - - org.eclipse.m2m.atl.emftvm.impl.resource.ConstantPool.CreateConstantsSwitch

Enclosing class:
  ConstantPool

    public class ConstantPool.CreateConstantsSwitch
    extends EmftvmSwitch<java.lang.Object>

Creates constant pool entries for EMFTVM elements.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`modelPackage`

### Constructor Summary

Constructors
`CreateConstantsSwitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `caseCodeBlock​(CodeBlock object)` Returns the result of interpreting the object as an instance of 'Code Block'.
`java.lang.Object` `caseFeature​(Feature object)` Returns the result of interpreting the object as an instance of 'Feature'.
`java.lang.Object` `caseField​(Field object)` Returns the result of interpreting the object as an instance of 'Field'.
`java.lang.Object` `caseFieldInstruction​(FieldInstruction object)` Returns the result of interpreting the object as an instance of 'Field Instruction'.
`java.lang.Object` `caseFindtype​(Findtype object)` Returns the result of interpreting the object as an instance of 'Findtype'.
`java.lang.Object` `caseInputRuleElement​(InputRuleElement object)` Returns the result of interpreting the object as an instance of 'Input Rule Element'.
`java.lang.Object` `caseInvokeOperationInstruction​(InvokeOperationInstruction object)` Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
`java.lang.Object` `caseMatch​(Match object)` Returns the result of interpreting the object as an instance of 'Match'.
`java.lang.Object` `caseModelDeclaration​(ModelDeclaration object)` Returns the result of interpreting the object as an instance of 'Model Declaration'.
`java.lang.Object` `caseModule​(Module object)` Returns the result of interpreting the object as an instance of 'Module'.
`java.lang.Object` `caseNamedElement​(NamedElement object)` Returns the result of interpreting the object as an instance of 'Named Element'.
`java.lang.Object` `caseNew​(New object)` Returns the result of interpreting the object as an instance of 'New'.
`java.lang.Object` `caseOperation​(Operation object)` Returns the result of interpreting the object as an instance of 'Operation'.
`java.lang.Object` `casePush​(Push object)` Returns the result of interpreting the object as an instance of 'Push'.
`java.lang.Object` `caseRule​(Rule object)` Returns the result of interpreting the object as an instance of 'Rule'.
`java.lang.Object` `caseRuleElement​(RuleElement object)` Returns the result of interpreting the object as an instance of 'Rule Element'.
`java.lang.Object` `caseTypedElement​(TypedElement object)` Returns the result of interpreting the object as an instance of 'Typed Element'.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`caseAdd, caseAllinst, caseAllinstIn, caseAnd, caseBranchInstruction, caseCodeBlockInstruction, caseDelete, caseDup, caseDupX1, caseEnditerate, caseExecEnv, caseFindtypeS, caseGet, caseGetcb, caseGetenv, caseGetenvtype, caseGetStatic, caseGetSuper, caseGetTrans, caseGoto, caseIf, caseIfn, caseIfte, caseImplies, caseInsert, caseInstruction, caseInvoke, caseInvokeAllCbs, caseInvokeCb, caseInvokeCbS, caseInvokeInstruction, caseInvokeStatic, caseInvokeSuper, caseIsnull, caseIterate, caseLineNumber, caseLoad, caseLocalVariable, caseLocalVariableInstruction, caseMatchS, caseMetamodel, caseModel, caseNewS, caseNot, caseOr, caseOutputRuleElement, caseParameter, casePop, casePushf, casePusht, caseRemove, caseReturn, caseSet, caseSetStatic, caseStore, caseSwap, caseSwapX1, caseXor, defaultCase, doSwitch, doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateConstantsSwitch

    public CreateConstantsSwitch()

### Method Detail

#### caseNamedElement

    public java.lang.Object caseNamedElement​(NamedElement object)

Returns the result of interpreting the object as an instance of 'Named Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNamedElement` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Named Element'.
See Also:
  `doSwitch(EObject)`

#### caseTypedElement

    public java.lang.Object caseTypedElement​(TypedElement object)

Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseTypedElement` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Typed Element'.
See Also:
  `doSwitch(EObject)`

#### caseFeature

    public java.lang.Object caseFeature​(Feature object)

Returns the result of interpreting the object as an instance of 'Feature'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFeature` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Feature'.
See Also:
  `doSwitch(EObject)`

#### caseCodeBlock

    public java.lang.Object caseCodeBlock​(CodeBlock object)

Returns the result of interpreting the object as an instance of 'Code Block'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseCodeBlock` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Code Block'.
See Also:
  `doSwitch(EObject)`

#### caseModule

    public java.lang.Object caseModule​(Module object)

Returns the result of interpreting the object as an instance of 'Module'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseModule` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module'.
See Also:
  `doSwitch(EObject)`

#### caseOperation

    public java.lang.Object caseOperation​(Operation object)

Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseOperation` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Operation'.
See Also:
  `doSwitch(EObject)`

#### caseRule

    public java.lang.Object caseRule​(Rule object)

Returns the result of interpreting the object as an instance of 'Rule'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseRule` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rule'.
See Also:
  `doSwitch(EObject)`

#### caseRuleElement

    public java.lang.Object caseRuleElement​(RuleElement object)

Returns the result of interpreting the object as an instance of 'Rule Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseRuleElement` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rule Element'.
See Also:
  `doSwitch(EObject)`

#### caseInputRuleElement

    public java.lang.Object caseInputRuleElement​(InputRuleElement object)

Returns the result of interpreting the object as an instance of 'Input Rule Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInputRuleElement` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Input Rule Element'.
See Also:
  `doSwitch(EObject)`

#### caseFieldInstruction

    public java.lang.Object caseFieldInstruction​(FieldInstruction object)

Returns the result of interpreting the object as an instance of 'Field Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFieldInstruction` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Field Instruction'.
See Also:
  `doSwitch(EObject)`

#### caseFindtype

    public java.lang.Object caseFindtype​(Findtype object)

Returns the result of interpreting the object as an instance of 'Findtype'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFindtype` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Findtype'.
See Also:
  `doSwitch(EObject)`

#### caseInvokeOperationInstruction

    public java.lang.Object caseInvokeOperationInstruction​(InvokeOperationInstruction object)

Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInvokeOperationInstruction` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
See Also:
  `doSwitch(EObject)`

#### caseNew

    public java.lang.Object caseNew​(New object)

Returns the result of interpreting the object as an instance of 'New'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNew` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'New'.
See Also:
  `doSwitch(EObject)`

#### casePush

    public java.lang.Object casePush​(Push object)

Returns the result of interpreting the object as an instance of 'Push'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `casePush` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Push'.
See Also:
  `doSwitch(EObject)`

#### caseMatch

    public java.lang.Object caseMatch​(Match object)

Returns the result of interpreting the object as an instance of 'Match'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseMatch` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Match'.
See Also:
  `doSwitch(EObject)`

#### caseModelDeclaration

    public java.lang.Object caseModelDeclaration​(ModelDeclaration object)

Returns the result of interpreting the object as an instance of 'Model Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseModelDeclaration` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Declaration'.
See Also:
  `doSwitch(EObject)`

#### caseField

    public java.lang.Object caseField​(Field object)

Returns the result of interpreting the object as an instance of 'Field'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseField` in class `EmftvmSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Field'.
See Also:
  `doSwitch(EObject)`